pub type Time=i64;

#[binrw::binrw]
#[brw(little)]
pub struct Ratio64{
	num:i64,
	den:u64,
}
impl Into<strafesnet_common::integer::Ratio64> for Ratio64{
	fn into(self)->strafesnet_common::integer::Ratio64{
		strafesnet_common::integer::Ratio64::new(self.num,self.den).unwrap()
	}
}
impl From<strafesnet_common::integer::Ratio64> for Ratio64{
	fn from(value:strafesnet_common::integer::Ratio64)->Self{
		Self{
			num:value.num(),
			den:value.den(),
		}
	}
}

#[binrw::binrw]
#[brw(little)]
pub struct Ratio64Vec2{
	pub x:Ratio64,
	pub y:Ratio64,
}

pub type Angle32=i32;
pub type Planar64=i64;
pub type Planar64Vec3=[i64;3];
pub type Planar64Mat3=[i64;9];
pub type Planar64Affine3=[i64;12];
